# Uses of Class
javassist.compiler.ast.Declarator

Packages that use Declarator
Package
Description
javassist.compiler.ast

## Uses of Declarator in javassist.compiler.ast

Methods in javassist.compiler.ast that return Declarator
Modifier and Type
Method
Description
`Declarator`
FieldDecl.`getDeclarator()`
`Declarator`
Variable.`getDeclarator()`
`Declarator`
MethodDecl.`getReturn()`
`Declarator`
Declarator.`make(Symbol sym, int dim, ASTree init)`
Methods in javassist.compiler.ast with parameters of type Declarator
Modifier and Type
Method
Description
`void`
Visitor.`atDeclarator(Declarator n)`
Constructors in javassist.compiler.ast with parameters of type Declarator
Modifier
Constructor
Description
``
`Variable(String sym, Declarator d)`